### org.jfree.layouting.input.style.parser

# Class StringInputSource

- `InputSource`
- - `org.jfree.layouting.input.style.parser.StringInputSource`

`public class StringInputSource`
`extends InputSource`

Creation-Date: 08.12.2005, 21:16:26

Author:
  Thomas Morgner

  ## Constructor Summary

  `StringInputSource(String data, URL baseUrl)`
    Zero-argument default constructor.

  ## Method Summary

  `URL`

  `getBaseUrl()`

  `StringReader`

  `getReader()`

## Constructor Details

### StringInputSource

    public StringInputSource(String data,
                             URL baseUrl)

> Zero-argument default constructor.
> See Also:
>   `StringInputSource`, `StringInputSource`, `StringInputSource`, `StringInputSource`

## Method Details

### getBaseUrl

    public URL getBaseUrl()

### getReader

    public StringReader getReader()